
QGIS Application - Bug report #11871

QGIS master crashes while trying load any zipped vector layer

2014-12-16 05:59 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20085

Description

Subject says it all.

Does not happen on QGIS 2.6.1

Associated revisions

Revision ba4948e4 - 2015-01-16 09:25 PM - Jürgen Fischer

use directory path and not item path (fixes #11871)

History

#1 - 2015-01-16 10:29 AM - Jürgen Fischer

- Category changed from Vectors to Data Provider/OGR

#2 - 2015-01-16 11:58 AM - Jürgen Fischer

- Category changed from Data Provider/OGR to Browser

#3 - 2015-01-16 12:26 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ba4948e4416e67e81d007e5f74072c7052037a27".

#4 - 2015-01-20 11:00 AM - Radim Blazek

- Status changed from Closed to Feedback

The fix in commit:ba4948e44 was not correct, QgsDirectoryItem::createChildren() must create children with path created from mPath, not from mDirPath

(#ba4948e4416e67e81d007e5f74072c7052037a27?diff=unified#diff-e89106528fe0226767dfccab355e44dcL771).

I have reverted that partially in commit:74e2abd38cf10 but I cannot reproduce the crash. I tried with zip, tar  tar.gz and it works for me. Can you tell me

more about the zip file and its structure, vector format etc. or post a test zip file if possible + traceback.

#5 - 2015-01-20 11:38 AM - Jürgen Fischer

Radim Blazek wrote:
The fix in commit:ba4948e44 was not correct, QgsDirectoryItem::createChildren() must create children with path created from mPath, not from

mDirPath (#ba4948e4416e67e81d007e5f74072c7052037a27?diff=unified#diff-e89106528fe0226767dfccab355e44dcL771).

I have reverted that partially in commit:74e2abd38cf10 but I cannot reproduce the crash. I tried with zip, tar  tar.gz and it works for me. Can you tell

me more about the zip file and its structure, vector format etc. or post a test zip file if possible + traceback.

It now again doesn't work in the home: and the project: branch (eg. it tries to open /vsizip/project:/regions.zip or vsizip/home:/home/fischer/test/regions.zip)

What problems did the fix introduce?

#6 - 2015-01-20 11:59 AM - Radim Blazek

Strange! For me both home: and project: work, uri is without home:/project: prefix.

Problem with using mDirPath instead of mPath was, that it was impossible to distinguish paths in root dir, home and project when restoring state.

#7 - 2015-01-20 12:09 PM - Radim Blazek

Which GDAL version? I have 1.10.0.

#8 - 2015-01-20 12:17 PM - Radim Blazek

I see, the problem is only with single layer zip files, I'll fix that.

#9 - 2015-01-21 01:50 AM - Radim Blazek

It should be fixed in commit:b843f81.

#10 - 2015-01-21 03:54 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
